Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTransformConcatenationStack Class Reference

`#include <vtkAbstractTransform.h>`

Collaboration diagram for vtkTransformConcatenationStack:

[legend]
List of all members.

## Public Methods
void | Delete ()
void | Pop (vtkTransformConcatenation **concat)
void | Push (vtkTransformConcatenation **concat)
void | DeepCopy (vtkTransformConcatenationStack *stack)
## Static Public Methods
vtkTransformConcatenationStack * | New ()
## Protected Methods
| vtkTransformConcatenationStack ()
| ~vtkTransformConcatenationStack ()
## Protected Attributes
int | StackSize
vtkTransformConcatenation ** | Stack
vtkTransformConcatenation ** | StackBottom

## Constructor & Destructor Documentation

vtkTransformConcatenationStack::vtkTransformConcatenationStack | ( |  | ) | `[protected]`

vtkTransformConcatenationStack::~vtkTransformConcatenationStack | ( |  | ) | `[protected]`

## Member Function Documentation

vtkTransformConcatenationStack* vtkTransformConcatenationStack::New | ( |  | ) | `[inline, static]`

| Definition at line 409 of file vtkAbstractTransform.h. Referenced by vtkTransform::Push(), vtkPerspectiveTransform::Push(), and vtkGeneralTransform::Push().

void vtkTransformConcatenationStack::Delete | ( |  | ) | `[inline]`

| Definition at line 411 of file vtkAbstractTransform.h.

void vtkTransformConcatenationStack::Pop | ( | vtkTransformConcatenation ** | concat | ) |

void vtkTransformConcatenationStack::Push | ( | vtkTransformConcatenation ** | concat | ) |

void vtkTransformConcatenationStack::DeepCopy | ( | vtkTransformConcatenationStack * | stack | ) |

## Member Data Documentation

int vtkTransformConcatenationStack::StackSize`[protected]`

| Definition at line 427 of file vtkAbstractTransform.h.

vtkTransformConcatenation** vtkTransformConcatenationStack::Stack`[protected]`

| Definition at line 428 of file vtkAbstractTransform.h.

vtkTransformConcatenation** vtkTransformConcatenationStack::StackBottom`[protected]`

| Definition at line 429 of file vtkAbstractTransform.h.

The documentation for this class was generated from the following file:

- Common/vtkAbstractTransform.h